Which Nsight version that can be used CUDA5.5, in VisualStudio2010?

I am using CUDA5.5 at the VisualStudio2010 on Windows7 64bit.

I’m going to install a Nsight VisualStudioEdition and I would like to debug the code of CUDA.

The Nsight3.1 that I found on the site of nVidia is like the latest version, It had been described as corresponds to the VisualStudio2012.

Nsight3.1 work? CUDA5.5, in VisualStudio2010? Also, is there a version of Nsight that can be used CUDA5.5, in VisualStudio2010?

Please let me know which version of nSight that can be used CUDA5.5, in VisualStudio2010?

Hiwasawa,

Nsight VSE 3.1 supports CUDA 5.5. The supported Visual Studio platforms are documented on the Nsight VSE requirements page at https://developer.nvidia.com/nsight-visual-studio-edition-requirements.

[i]

  • Windows 7, Windows HPC Server 2008 or Windows 8 (32-bit or 64-bit)
  • .NET framework 3.5 with Service Pack 1
  • Visual Studio 2008 Standard or better, with Visual Studio Service Pack 1 installed and/or
  • Visual Studio 2010 Professional Edition or better, with Visual Studio Service Pack 1 installed and/or
  • Visual Studio 2012 Professional Edition or better
  • [/i]

    The C++ AMP debugger can only be installed with Visual Studio 2012 Professional Edition or better as Microsoft only support C++ AMP in Visual Studio 2012. If you are not using C++ AMP please disregard the error message during installation.